import './Chip.styles_5ddffv.css';
import { styled } from '@linaria/react';
import { tokens } from './Chip.tokens.js';

var base = "bv1mcr9";
var StyledContentLeft = /*#__PURE__*/styled('div')({
  name: "StyledContentLeft",
  "class": "s1qhkc7l",
  propsAsIs: false
});
var StyledContentMain = /*#__PURE__*/styled('div')({
  name: "StyledContentMain",
  "class": "s1b39ayc",
  propsAsIs: false
});
var _exp6 = function _exp6() {
  return function (hasClear) {
    return hasClear ? '0' : "var(".concat(tokens.rightContentMarginRight, ")");
  };
};
var StyledContentRight = /*#__PURE__*/styled('div')({
  name: "StyledContentRight",
  "class": "s17lpiye",
  propsAsIs: false,
  vars: {
    "s17lpiye-0": [/*#__PURE__*/_exp6()]
  }
});
var StyledContentClear = /*#__PURE__*/styled('div')({
  name: "StyledContentClear",
  "class": "s113u5eb",
  propsAsIs: false
});

export { StyledContentClear, StyledContentLeft, StyledContentMain, StyledContentRight, base };
